Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::aux::upper_bound_n_fn Struct Reference

## Public Member Functions
template<typename I , typename V2 , typename C = ordered_less, typename P = ident, requires = (BinarySearchable<I, V2, C, P>())>
I | operator() (I begin, difference_type_t< I > d, V2 const &val, C pred=C{}, P proj=P{}) const
| template function upper_bound More...

## Member Function Documentation

## ◆ operator()()

template<typename I , typename V2 , typename C = ordered_less, typename P = ident, requires = (BinarySearchable<I, V2, C, P>())>

I ranges::v3::aux::upper_bound_n_fn::operator() | ( | I | begin,
|  | difference_type_t< I > | d,
|  | V2 const & | val,
|  | C | pred = `C{}`,
|  | P | proj = `P{}`
| ) |  | const

template function upper_bound

range-based version of the `upper_bound` std algorithm

Precondition
  `Rng` is a model of the `Range` concept